{ Knihovna funkci pro ziskani prikazu z template souboru:

  Autor:  Gord
  Verze:  1.0.0

   GgStatGetCommand(pathname,command:string;position:integer; var sCmd:string):boolean
       - ziska pozadovany prikaz (jen hodnotu bez klicoveho slova)

   GgStatGetColors(pathname,command:string;position:integer; var aColors:TypeGgStatColors):boolean
       - naplni structuru aColors barvami podle nastaveni v Template
         souboru, ktery je pouzivan pro generovani statistiky programem GgStat

   parametry:
     pathname ... cesta a jmeno template souboru
     position ... index prikazu COLORS, ktery se ma brat v uvahu
                  (0 nebo 1 znamena prvni, -1 posledni, libovolne jine cislo je poradi
                  prikazu v template souboru)
     sCmd     ... hodnota prikazu
     aColors  ... vracena struktura barev

   nabratova hodnota: true=nacteno, false=soubor nenalezen
}
const GGSTAT_COLORS=14;
     //pojmenujeme indexy pro pristup k barvam, at je to jednodussi
      GGSTAT_COLOR_BG=0;
      GGSTAT_COLOR_TEXT=1;
      GGSTAT_COLOR_BG_TITLE=2;
      GGSTAT_COLOR_TEXT_TITLE=3;
      GGSTAT_COLOR_BG_HEADER=4;
      GGSTAT_COLOR_TEXT_HEADER=5;
      GGSTAT_COLOR_BG_TABLE=6;
      GGSTAT_COLOR_TEXT_TABLE=7;
      GGSTAT_COLOR_BG_VALUE=8;
      GGSTAT_COLOR_TEXT_VALUE=9;
      GGSTAT_COLOR_TEXT_MAX=10;
      GGSTAT_COLOR_TEXT_AVG=11;
      GGSTAT_COLOR_TEXT_MIN=12;
      GGSTAT_COLOR_TEXT_MISC=13;
type TypeGgStatColors=array [0..GGSTAT_COLORS] of string;

//funkce vraci jen "hodnotu" prikazu, bez klicoveho sloba
function GgStatGetCommand(pathname,command:string;position:integer; var sCmd:string):boolean;
var s,row,s1:string;
    i:integer;
begin
  Result:=false;
  sCmd:='';
  if(not FileExists(pathname)) then exit; //soubor nenalezen, vratime se
  s:=FileToString(pathname);
  //prevedeme pripadne LF na CRLF (pokud je s prazdne, neobsahoval zadne CRLF)
  if(pos(CRLF,s)<0) then s:=ReplaceString(row,Chr(10),CRLF);
  ReplaceString(s,Chr(9),' '); //vsechny tabelatory za mezery
  //zpracujeme soubor a najdeme prislusny prikaz
  while(s<>'') do begin
    row:=fetch(s,CRLF);
    s1:=fetch(row,' ');
    if(s1=command) then begin
      sCmd:=row;
      Inc(i);
      if((i<=position) and (position<>-1)) then break;
    end;
  end;
  if(sCmd<>'') then Result:=true;
end;

function GgStatGetColors(pathname:string;position:integer; var aColors:TypeGgStatColors):boolean;
var row:string;
    j:integer;
begin
  Result:=GgStatGetCommand(pathname,'COLORS',position,row); //vrati obsah prikazu
  //prepiseme do struktury
  j:=0;
  //        Pozad  Text   BgTitle Title BgHeader Header Bgtext Text  BgValue Value  Max    Avg    Min    Procenta
  //COLORS  F5F5F5  000000 ccdce4  000000 ccdce4  000000 F5F5F5 000000 F5F5F5 000000 457f9c 90cae6 ccdce4 ffffff
  while(row<>'') do begin
    aColors[j]:=Fetch(row,' ');
    Inc(j);
  end;
end;